---
updatedAt: 2026-06-28T20:00:39.000Z
agentTools:
  projectIndex: https://developers.taboola.com/backstage-api/llms.txt
---

# Target CPA

Bid Strategy > Target CPA

## Description

When using this bid strategy, bids are automatically optimized to maximize conversions within the specified campaign budget.

In addition, the baseline bid is auto-adjusted to target the campaign's [`cpa_goal`](https://developers.taboola.com/backstage-api/docs/campaign-cpa-goal).

> 📘 Usage
>
> We recommend that you wait until your CPA has leveled off for several days, and then use that data as a benchmark for your target CPA.
>
> ***
>
> For detailed information, see the **Help Center**: <a href="https://help.taboola.com/hc/en-us/articles/14762751953303" target="_blank">Setting Your Bid Strategy: Maximize Conversions</a>

> 📘 Details
>
> * Bidding is *fully automated*.
> * Requires that [**Taboola Pixel**](https://developers.taboola.com/backstage-api/docs/taboola-pixel-overview) be installed for your account.
> * `cpc` cannot be set.
> * `cpa_goal` cannot be `null`.

## Examples

The examples below illustrate how to [create](https://developers.taboola.com/backstage-api/reference/create-a-campaign) or  [update](https://developers.taboola.com/backstage-api/reference/update-a-campaign) a campaign to use a [bid\_strategy](https://developers.taboola.com/backstage-api/docs/campaign-bid-strategy) of `"TARGET_CPA"`.

### Guidelines for fields

> 🚧 The following fields *cannot be set*
>
> * [`cpc`](https://developers.taboola.com/backstage-api/docs/campaign-cpc)
> * [`publisher_bid_strategy_modifiers`](https://developers.taboola.com/backstage-api/docs/campaign-publisher-bid-strategy-modifiers)
> * [`publisher_bid_modifier`](https://developers.taboola.com/backstage-api/docs/campaign-publisher-bid-modifier)

> 🚧 The following fields *have restrictions*
>
> * [`traffic_allocation_mode`](https://developers.taboola.com/backstage-api/docs/campaign-traffic-allocation-mode) cannot be `"EVEN"`.
> * [`marketing_objective`](https://developers.taboola.com/backstage-api/docs/campaign-marketing-objective) cannot be `"BRAND_AWARENESS"` or `"DRIVE_WEBSITE_TRAFFIC"`.

> 🚧 The following fields are *required*
>
> * [`cpa_goal`](https://developers.taboola.com/backstage-api/docs/campaign-cpa-goal)

### Example - *Create* campaign

```http Request
POST /backstage/api/1.0/acme-advertising/campaigns/ HTTP/1.1
Host: backstage.taboola.com 
Content-Type: application/json
Authorization: Bearer {access_token}
```
```json Request body
{
    "name": "Target CPA Conversions Campaign",
    "branding_text": "branding",
    "spending_limit": 100,
    "spending_limit_model": "MONTHLY",
    "bid_strategy": "TARGET_CPA",
    "cpa_goal": 1.5,
    "marketing_objective": "LEADS_GENERATION"  
}
```
```json Response (fragment only)
{
    "id": 1234,
    "advertiser_id": "acme-advertising",
    "name": "Target CPA Conversions Campaign",
    "branding_text": "branding",
    "cpc": null,
    "spending_limit": 100.0,
    "spending_limit_model": "MONTHLY",
    "bid_strategy": "TARGET_CPA",  
    "cpa_goal": 1.5,
    "marketing_objective": "LEADS_GENERATION"
    ...
}

```

### Example - *Update* campaign

```http Request
POST /backstage/api/1.0/acme-advertising/campaigns/1235 HTTP/1.1
Host: backstage.taboola.com 
Content-Type: application/json
Authorization: Bearer {access_token}
```
```json Request body
{
    "bid_strategy": "TARGET_CPA",
    "cpa_goal": 1.5  
}
```
```json Response (fragment only)
{
    "id": 1235,
    "advertiser_id": "acme-advertising",
    "name": "Campaign Update Test",
    "branding_text": "branding",
    "cpc": null,
    "spending_limit": 100.0,
    "spending_limit_model": "MONTHLY",
    "bid_strategy": "TARGET_CPA",
    "cpa_goal": 1.5,
    "marketing_objective": "LEADS_GENERATION"  
    ...
}

```

> 🚧 Update guidelines
>
> 1. Fields that **cannot** be set (e.g. `cpc`) are **automatically** cleared.
> 2. Fields with **invalid** values return error **`400`**.
>    > E.g. `marketing_objective` set to `"BRAND_AWARENESS"`
>
> ***
>
> See above: [Guidelines for fields](https://developers.taboola.com/backstage-api/reference/target-cpa#guidelines-for-fields)